Webhook Event ReferenceStore
store.updated
Triggers when store settings are updated.
Request Body
application/json
api_version?string
API Version of the object data schema.
data?
event_id?string
Unique id associated with this webhook event.
Format
uuidevent_type?string
Webhook event type of the current event.
object?string
Object data type.
webhook?
Response Body
Example Requests
POST
/store.updated{
"api_version": "2024-04-01",
"data": {
"available_currencies": [
{
"code": "string",
"label": "string"
}
],
"available_languages": [
{
"code": "string",
"label": "string"
}
],
"contact_address": {
"city": "string",
"company_name": "string",
"country": "string",
"line1": "string",
"line2": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
},
"name": "string",
"payments": {
"available_express_payment_methods": [
{
"code": "string",
"label": "string"
}
],
"available_payment_methods": [
{
"code": "string",
"label": "string",
"supported_currencies": []
}
],
"certificate_token": "string",
"environment_key": "string"
},
"primary_domain": "string",
"tagline": "string",
"tax_id": "string",
"timezone": "string"
},
"event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
"event_type": "store.updated",
"object": "store",
"webhook": {
"events": [
"store.updated"
],
"id": 1,
"store": "example",
"target": "https://example.com/webhook/"
}
}